LayeredHighlighter.LayerPainter (Java Platform SE 8 )
Keywords: javax.swing.text.LayeredHighlighter.LayerPainter class
Date: 2018-07-01

javax.swing.text

## Class LayeredHighlighter.LayerPainter

- java.lang.Object
- - javax.swing.text.LayeredHighlighter.LayerPainter

- All Implemented Interfaces:
    Highlighter.HighlightPainter
  Direct Known Subclasses:
    DefaultHighlighter.DefaultHighlightPainter
  Enclosing class:
    LayeredHighlighter

      public abstract static class LayeredHighlighter.LayerPainter
      extends Object
      implements Highlighter.HighlightPainter

  Layered highlight renderer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerPainter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Shape` | `paintLayer(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.text.Highlighter.HighlightPainter

      `paint`

- - ### Constructor Detail

    - #### LayerPainter

          public LayerPainter()

  - ### Method Detail

    - #### paintLayer

          public abstract Shape paintLayer(Graphics g,
                                           int p0,
                                           int p1,
                                           Shape viewBounds,
                                           JTextComponent editor,
                                           View view)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.